<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: queue/src/queue/fwd.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_a5212ee8b6a8d592d027941e58e3651c.html">queue</a></li><li class="navelem"><a class="el" href="dir_821be63df25109e5eb77dd0f2b80706a.html">src</a></li><li class="navelem"><a class="el" href="dir_e311e002a24b0cb5a76159e0ee0c544b.html">queue</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">fwd.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="queue_2src_2queue_2fwd_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#pragma once</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">struct </span><a class="code" href="structQueue.html">Queue</a>; </div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="queue_2src_2queue_2fwd_8h.html#ad4f29a362a072ba563b41ae8e935c6fc">   11</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structQueue.html">Queue</a> <a class="code" href="structQueue.html">Queue</a>;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">struct </span><a class="code" href="queue_2src_2queue_2fwd_8h.html#a4d9e4171e0ee83fe777219f894992340">Element</a>; </div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="queue_2src_2queue_2fwd_8h.html#a4d9e4171e0ee83fe777219f894992340">   13</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="queue_2src_2queue_2fwd_8h.html#a4d9e4171e0ee83fe777219f894992340">Element</a> <a class="code" href="queue_2src_2queue_2fwd_8h.html#a4d9e4171e0ee83fe777219f894992340">Element</a>; </div><div class="ttc" id="structQueue_html"><div class="ttname"><a href="structQueue.html">Queue</a></div><div class="ttdoc">This struct represents queue. </div><div class="ttdef"><b>Definition:</b> queue.h:23</div></div>
<div class="ttc" id="queue_2src_2queue_2fwd_8h_html_a4d9e4171e0ee83fe777219f894992340"><div class="ttname"><a href="queue_2src_2queue_2fwd_8h.html#a4d9e4171e0ee83fe777219f894992340">Element</a></div><div class="ttdeci">struct Element Element</div><div class="ttdoc">forward declaration of queue element </div><div class="ttdef"><b>Definition:</b> fwd.h:13</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
